import type { AlignPropType, BadgeTextPropType, IdPropType, LabelPropType, TooltipAPI, TooltipStates } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolTooltipWc implements TooltipAPI {
    private host;
    private arrowElement?;
    private previousSibling?;
    private tooltipElement?;
    private hasFocusIn;
    private hasMouseIn;
    private cleanupAutoPositioning?;
    private alignTooltip;
    private showTooltip;
    private hideTooltip;
    private hideTooltipByEscape;
    private handleMouseEnter;
    private handleMouseleave;
    private handleFocusIn;
    private handleFocusout;
    private addListeners;
    private removeListeners;
    private resyncListeners;
    private catchTooltipElement;
    private catchArrowElement;
    render(): JSX.Element;
    _badgeText?: BadgeTextPropType;
    _align?: AlignPropType;
    _id?: IdPropType;
    _label: LabelPropType;
    state: TooltipStates;
    validateBadgeText(value?: BadgeTextPropType): void;
    validateAlign(value?: AlignPropType): void;
    validateId(value?: IdPropType): void;
    validateLabel(value?: LabelPropType): void;
    private overFocusTimeout?;
    private showOrHideTooltip;
    componentWillLoad(): void;
    private handleEventListeners;
    connectedCallback(): void;
    componentDidRender(): void;
    disconnectedCallback(): void;
}
